* -------------------------------------------------------- *
*                       WINDOW.PRG                         *
*         Bildschirmhandling unter dBASE III PLUS          *
*          (c) 1989 Jrgen Liskowskis & TOOLBOX            *
* -------------------------------------------------------- *

* -------------------------------------------------------- *
* Initialisieren des Systems

SET STATUS OFF                 && Statuszeile ausblenden
SET TALK OFF                   && Meldungen unterdrcken
SET DATE GERMAN                && deutsches Datumsformat
SET SCOREBOARD OFF             && Tastaturanzeige abschalten
SET BELL OFF                   && Summer aus
SET COLOR TO W+/B, GR+/R, BG   && Farbwahl
STORE " " TO TASTE, AUSWAHL    && Variablen vorbereiten
CLEAR                          && Bildschirm lschen

* -------------------------------------------------------- *
* Laden der Binrdateien.
* Datei WINDOWx.BIN dient zur Sicherung des Bildschirms.
* Aufruf: CALL S WITH "S" entspricht SaveScreen
*         CALL S WITH "R" entspricht RestoreScreen
* Die Parameter S und R mssen grogeschrieben werden.
* Die Anzahl ist maximal fnf Module.

IF FILE ("WINDOW5.BIN")        && Datei gefunden ?
   LOAD WINDOW5.BIN            && Wenn ja, dann laden
ENDIF                          && 5. Bildschirmebene
IF FILE ("WINDOW4.BIN")        && Datei gefunden ?
   LOAD WINDOW4.BIN            && Wenn ja, dann laden
ENDIF                          && 4. Bildschirmebene
IF FILE ("WINDOW3.BIN")        && Datei gefunden ?
   LOAD WINDOW3.BIN            && Wenn ja, dann laden
ENDIF                          && 3. Bildschirmebene
IF FILE ("WINDOW2.BIN")        && Datei gefunden ?
   LOAD WINDOW2.BIN            && Wenn ja, dann laden
ENDIF                          && 2. Bildschirmebene
IF FILE ("WINDOW1.BIN")        && Datei gefunden ?
   LOAD WINDOW1.BIN            && Wenn ja, dann laden
ENDIF                          && 1. Bildschirmebene

DISPLAY STATUS                 && Geladene Module anzeigen
@ 24,00 SAY "Die geladenen Module. Weiter mit <RETURN>"
@ 24,75 GET TASTE PICTURE "X"
READ
CLEAR GETS                    && Eingabeaufforderung lschen

* -------------------------------------------------------- *
* 1. Bildschirmseite ausgeben
CLEAR                         && Bildschirm lschen
@ 00,00 TO 20,79 DOUBLE       && Rahmen zeichnen
@ 03,01 TO 03,78              && Strich zeichnen
@ 02,03 SAY "Beispiele zum Handling des Bildschirmspeichers"
@ 02,47 SAY " unter dBASE III PLUS"
@ 05,02 SAY "[ 1 ] = Text"
@ 07,02 SAY "[ 2 ] = Text"
@ 09,02 SAY "[ 3 ] = Text"
@ 11,02 SAY "[ 4 ] = Text"
@ 13,02 SAY "[ 5 ] = Text"
@ 15,02 SAY "[ 0 ] = Progamm beenden"
@ 18,10 SAY "Mit <RETURN> wird der Bildschirm gelscht."
@ 19,02 SAY "[   ]   Zur Demonstration bitte eine Taste..."
@ 07,40 SAY "Dies ist unsere erste Bildschirmseite."
@ 08,40 SAY ""
SET COLOR TO GR+/R            && Farben ndern
@ 05,04 SAY "1"               && Menpunkte ausgeben
@ 07,04 SAY "2"
@ 09,04 SAY "3"
@ 11,04 SAY "4"
@ 13,04 SAY "5"
@ 15,04 SAY "0"
SET COLOR TO W+/B, GR+/R, BG
@ 19,04 GET AUSWAHL PICTURE "X"
READ
CALL WINDOW5 WITH "S"         && Bildschirm sichern
CLEAR

* -------------------------------------------------------- *
* 2. Bildschirmseite ausgeben
SET COLOR TO GR+/R
@ 10,15 CLEAR TO 19,45
@ 10,15 TO 19,45 DOUBLE
@ 11,16 SAY "Hier knnen Hilfstexte "
@ 12,16 SAY "eingeblendet werden"
@ 07,40 SAY "Dies ist unsere zweite Bildschirmseite."
@ 08,40 SAY ""
@ 22,02 SAY "Weiter mit RETURN bitte : "
@ 22,30 GET AUSWAHL PICTURE "X"
READ
CALL WINDOW4 WITH "S"
CLEAR

* -------------------------------------------------------- *
* 3. Bildschirmseite ausgeben
@ 00,00 TO 20,79 DOUBLE
@ 03,01 TO 03,78
@ 02,03 SAY "Um den Unterschied zu verdeutlichen, "
@ 02,40 SAY "hier eine andere Farbwahl"
@ 07,40 SAY "Dies ist unsere dritte Bildschirmseite."
@ 08,40 SAY ""
@ 18,02 SAY "Weiter mit RETURN bitte : "
@ 18,30 GET AUSWAHL PICTURE "X"
READ
CALL WINDOW3 WITH "S"

* -------------------------------------------------------- *
* 4. Bildschirmseite ausgeben
SET COLOR TO W+/N, W+/N, N
@ 10,05 CLEAR TO 18,45
@ 10,05 TO 18,45 DOUBLE
@ 07,40 SAY "Dies ist unsere vierte Bildschirmseite."
@ 08,40 SAY ""
@ 05,02 SAY "Es wurde kein CLEAR - Befehl vor dem"
@ 06,02 SAY "Aufbau dieses Bildschirmes gegeben, "
@ 07,02 SAY "sondern nur die Farbwahl gendert.  "
@ 19,02 SAY "Weiter mit RETURN bitte : "
@ 19,30 GET AUSWAHL PICTURE "X"
READ
CALL WINDOW2 WITH "S"
SET COLOR TO W+/B, GR+/R, BG
CLEAR

* -------------------------------------------------------- *
* 5. Bildschirmseite ausgeben
@ 00,00 TO 20,79 DOUBLE
@ 03,01 TO 03,78
@ 02,03 SAY "Handling des Bildschirmspeichers"
@ 07,40 SAY "Dies ist die fnfte Bildschirmseite."
@ 08,40 SAY ""
@ 15,03 SAY "Nach diesem Bildschirm rufen wir die "
@ 15,40 SAY "gespeicherten"
@ 16,03 SAY "Bildschirmseiten in Originalgeschwindigkeit "
@ 16,47 SAY auf."
@ 18,02 SAY "Weiter mit RETURN bitte : "
@ 18,30 GET AUSWAHL PICTURE "X"
READ
CALL WINDOW1 WITH "S"

* -------------------------------------------------------- *
* Alle 5 Seiten anzeigen.
CALL WINDOW5 WITH "R"
CALL WINDOW4 WITH "R"
CALL WINDOW3 WITH "R"
CALL WINDOW2 WITH "R"
CALL WINDOW1 WITH "R"
@ 15,03 CLEAR TO 16,70
@ 19,02 SAY "Jetzt noch einmal auf Tastendruck"
@ 18,30 GET AUSWAHL PICTURE "X"
READ

CALL WINDOW5 WITH "R"             && Ausgabe Bildschirm 1
@ 23,00 GET AUSWAHL PICTURE "X"
READ

CALL WINDOW4 WITH "R"             && Ausgabe Bildschirm 2
@ 23,00 GET AUSWAHL PICTURE "X"
READ

CALL WINDOW3 WITH "R"             && Ausgabe Bildschirm 3
@ 23,00 GET AUSWAHL PICTURE "X"
READ

CALL WINDOW2 WITH "R"             && Ausgabe Bildschirm 4
@ 23,00 GET AUSWAHL PICTURE "X"
READ

CALL WINDOW1 WITH "R"             && Ausgabe Bildschirm 5
@ 23,00 SAY "Nchstes <RETURN> beendet das PROGRAMM"
@ 23,40 GET AUSWAHL PICTURE "X"
READ
CLEAR

* -------------------------------------------------------- *
*                  Ende von WINDOW.PRG                     *
