/*----------------------------------------------*/
/*                 MOUSE.H                      */
/*          Headerdatei zu MOUSE.C              */
/*        (C) 1988 R.Ziegaus & TOOLBOX          */
/*----------------------------------------------*/

/* Typen */
typedef enum  {HardCursor, SoftCursor} CursorType;
typedef enum  {Standard ,SandUhr, Dokument,
               Fadenkreuz, ArrowDown, Standard2}
               GraphicCursorType;

/* Funktionsprototypen */
int   far MousePresent(void);
int   far InitMouse(void);
void  far InitMouseGraphics(int Page);
void  far ResetMouse(void);
void  far ShowMouseCursor(void);
void  far HideMouseCursor(void);
void  far GetMousePosition(int *Button,
         int *Spalte, int *Zeile);
void  far SetMousePosition(int Spalte, int Zeile);
void  far GetButtonPress(int *Status, int *Button,
       int *Spalte, int *Zeile);
void  far GetButtonRelease(int *Status, int *Button,
         int *Spalte, int *Zeile);
void  far SetHorizontalLimit(int Min, int Max);
void  far SetVerticalLimit(int Min, int Max);
void  far SetMouseTextCursor(CursorType Cursor,
           int Start, int Stop);
void  far GetMouseMotion(int *X, int *Y);
void  far SelectGraphicCursor(
          GraphicCursorType GraphicCursor);
void  far SetUserProc(unsigned CallMask,
          void interrupt UserProc());
void  far ResetUserProc(void);
void  far SwapUserProc(unsigned CallMask,
           void interrupt UserProc());
void  far AllocMouseBuffer(void **Buffer);
void  far SaveMouseDriverStatus(void *Buffer);
void  far RestoreMouseDriverStatus(void *Buffer);
void  far SetMousePage(int Page);
void  far GetMousePage(int *Page);
void  far SetMouseCondOff(int x1, int y1,
        int x2, int y2);
void  far SetMouseMickeys(unsigned Hor, unsigned Ver);
void  far SetMouseDoubleSpeed(unsigned Mickeys);
