(* ------------------------------------------------------ *)
(*                    NULLTEST.PAS                        *)
(*      Testprogramm zur Erprobung des Netzinterfaces     *)
(*      hier fuer IBM (kompatible), APPLE, SHARP MZ 800   *)
(*       (c) 1988 TOOLBOX & ERVEN - DIETZ - BERGHAUS      *)
(* ------------------------------------------------------ *)

(*$U-*)
     (* Aus Zeitgruenden keine Unterbrechung zugelassen!  *)

CONST
  EINGANG       : BYTE    =     1;
  UNTERBRECHUNG : BOOLEAN = FALSE;

VAR
  TASTE         : CHAR;

(*$I IBM.INC*)

PROCEDURE TEST;
VAR
  LETZTER_EINGANG: BYTE;
BEGIN
  START;
  TASTE           := ' ';
  LETZTER_EINGANG := EINGANG;
  WRITELN ('Netztinterfacestest!': 49);
  WRITELN;
  WRITELN ('Taste "1" = Ausgang wird High':53);
  WRITELN ('Taste "0" = Ausgang wird  Low':53);
  WRITELN ('Taste "." = Programm  beenden':53);
  WRITELN;
  WRITELN;
  WRITE   ('Ausgang ist: 1         Eingang ist:  ': 67);
  WRITE   (EINGANG, #8);

  REPEAT
    REPEAT
      TESTE_LEITUNG;
    UNTIL KEYPRESSED OR (EINGANG <> LETZTER_EINGANG);
    IF KEYPRESSED THEN BEGIN
       READ (KBD, TASTE);
       CASE TASTE OF
        '1': BEGIN
               EINSRAUS;
               GOTOXY (26, 8);
               WRITE (TASTE, #8);
             END;
        '0': BEGIN
               NULLRAUS;
               GOTOXY (26, 8);
               WRITE (TASTE, #8);
             END;
        END;
    END
    ELSE BEGIN
      GOTOXY (68, 8);
      WRITE  (EINGANG, #8);
      LETZTER_EINGANG := EINGANG;
    END;
  UNTIL TASTE = '.';
END;

BEGIN
  TEST;
END.

(* ------------------------------------------------------ *)
(*                Ende von NULLTEST.PAS                   *)
